<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author         ????
@version        2.0
@cu             CU-CO-E-03
@description    


-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             id="documentosAsociadosTramitePanelGrid">

    <p:dataTable var="tramiteDocumentacion"
                 selection="#{justificacionProyeccion.tramiteDocumentacionSeleccionado}"
                 value="#{justificacionProyeccion.tramite.tramiteDocumentacions}"
                 paginator="true" rows="10"
                 paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                 emptyMessage="No hay documentos a asociar."
                 rowKey="#{tramiteDocumentacion.documentoSoporte.id}">

        <f:facet name="header">Documentos del trámite</f:facet>

        <p:column selectionMode="single" />

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo documento" />
            </f:facet>
            <h:outputText
                value="#{tramiteDocumentacion.documentoSoporte.tipoDocumento.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Detalle" />
            </f:facet>
            <h:outputText value="#{tramiteDocumentacion.documentoSoporte.descripcion}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Cantidad folios" />
            </f:facet>
            <h:outputText value="#{tramiteDocumentacion.cantidadFolios}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Documento" />
            </f:facet>
            <p:commandLink>
                <h:outputText value="#{tramiteDocumentacion.documentoSoporte.archivo}"
                              styleClass="commandLinkStyle" />
            </p:commandLink>
        </p:column>

    </p:dataTable>

    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton action="#{justificacionProyeccion.asociarDocumento}"
                         oncomplete="documentosAsociadosTramiteWV.hide();" value="Asociar"
                         title="Asociar documento" icon="ui-icon-document"
                         update="documentoLnk" />
    </p:outputPanel>

</h:panelGrid>